Running EDGE version? Or just wait...?

Frenck

Active Member
Nov 12, 2002
29
0
151
Hengelo, The Netherlands
I'm really looking forward to use CPanel 6.

There are some features added I really need.

How about upgrading to the EDGE version? How is it? To much risc? How about support on this versions?

And last but not least.. Upgrade to EDGE or not?
 

jmc67

Well-Known Member
Mar 10, 2002
105
0
316
Well, I tried cpanel 6 latest edge version on my test server. After initiating a reboot via whm, the server wouldn't boot. I had to send in a support ticket to have it booted locally.
 

SprintSlash

Well-Known Member
Jan 18, 2003
163
0
166
I personally think cpanel 6.0.0 edge (e46 to e63 so far) is more stable than cpanel 5.3.0 r117 release
 

Esr Tek

Active Member
Aug 5, 2002
44
0
156
Running 6.o build e65, and it runs stable so far.
Gracefull reboot has worked fine for me, so they may have fixed that ;)

PS - Awsol I luv ur avatar :p :D
 

Kyle

Member
Jan 19, 2003
20
0
151
Originally posted by dgbaker
In SSH check for the existance of the file here:

/usr/local/cpanel/perl/Cpanel/OS.so

There should be two files in that directory OS.so and MainIp.so
The OS.so is missing

PHP:
[email protected] [/usr/local/cpanel/perl/Cpanel]# ls -lh
total 20k
drwxr-xr-x    2 root     root         4.0k Dec 27 06:57 ./
drwxr-xr-x   13 root     root         4.0k Dec 27 06:57 ../
-rwxr-xr-x    1 root     root         8.3k Dec 27 06:56 MainIp.so*
I think the error is stemming from this error during the install process.

PHP:
==> Cpanel 5 Install Complete
==> Starting Cpanel 5....
rsync: failed to connect to rsync.cpanel.net: Connection timed out
rsync error: error in socket IO (code 10) at clientserver.c(89)
/usr/local/cpanel/cpaneld: error while loading shared libraries: /usr/local/cpan
el/perl/Cpanel/OS.so: cannot open shared object file: No such file or directory
Maybe I can somehow re-do that rsync? seems to have failed to connect.
 

acetate

Active Member
Aug 16, 2001
25
0
301
Originally posted by dgbaker
You could try the /scripts/updatenow and /scripts/upcp to see if that corrects it.
Nope.. Still not there... Got a message from pwebtech that it is important to update to the latest version (Cpanel-6.0.0-EDGE_65-Linux-i686-glibc-2.1.3-21.2mdk). And now I got this sh*t...

Anyone care to let me download those two files?
 

Kyle

Member
Jan 19, 2003
20
0
151
Originally posted by acetate
Nope.. Still not there... Got a message from pwebtech that it is important to update to the latest version (Cpanel-6.0.0-EDGE_65-Linux-i686-glibc-2.1.3-21.2mdk). And now I got this sh*t...

Anyone care to let me download those two files?
Acetate,

I fixed mine by going into WHM and selecting stable release, and then manually update.

I then went Back into WHM and changed to Edge, and upgraded through shell and everything is working perfect now.
 

acetate

Active Member
Aug 16, 2001
25
0
301
Originally posted by Kyle
Acetate,

I fixed mine by going into WHM and selecting stable release, and then manually update.

I then went Back into WHM and changed to Edge, and upgraded through shell and everything is working perfect now.
Yeah.. That's what I did.. I reverted back to the stable release 5.30 R117.. However too afraid to upgrade again.. =) Thanks!
 

Frenck

Active Member
Nov 12, 2002
29
0
151
Hengelo, The Netherlands
I've made the upgrade to 6.0 e65, no prob so far.

Except that cpanel indicates (after the upgrade) that one site has 19 Gb of traffic this month (And the only page there is on that domain, is a blank page?!)

Also there must me done a lot of renaming in CPanel. Almost everywhere there is still "CPanel 5". Time to do a search and replace on "CPanel 5" to "CPanel 6"? :p